Bug 171601 - Review Request: yakuake KDE terminal emulator
Review Request: yakuake KDE terminal emulator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://www.kde-apps.org/content/show....
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-24 04:47 EDT by Mickael
Modified: 2012-05-09 10:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-13 14:27:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑cvs-


Attachments (Terms of Use)

  None (edit)
Description Mickael 2005-10-24 04:47:46 EDT
Spec Name or Url: http://mickael.bailly.free.fr/yakuake.spec
SRPM Name or Url: http://mickael.bailly.free.fr/yakuake-2.7.3-1.src.rpm
Description: yakuake is a Quake-like console for KDE
Comment 1 Mickael 2005-10-24 04:48:52 EDT
this is my first package, and I'm seeking a sponsor.
Comment 2 Aurelien Bompard 2005-11-01 07:47:11 EST
Needs work:
* BuildRequires: gcc and gcc-c++ should not be included
  (wiki: PackagingGuidelines#Exceptions)
* No downloadable source. Please give the full URL in the Source tag. You can
use http://download.softpedia.com/linux/yakuake-2.7.3.tar.bz2
* Add --disable-rpath and --disable-debug to %configure
* Add AUTHORS and COPYING as %doc
* don't package /usr/share/apps/yakuake/default/install.sh (useless and could be
misleading)
* Missing "gtk-update-icon-cache" in %post and %postun (wiki: ScriptletSnippets)
* Use desktop-file-install to install the desktop file
  (wiki: PackagingGuidelines#desktop)
* The directory %{_datadir}/apps/yakuake/ should be owned by the package
* Requires: kdelibs is superfluous, it will be picked up by rpm
* There is a typo in the summary

Minor:
* QT environment variable are not sourced, add
  unset QTDIR || : ; . /etc/profile.d/qt.sh
  export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include
  at the beginning of the %build section.
Comment 3 Aurelien Bompard 2005-11-01 07:50:11 EST
Ah, forget my comment about the install.sh script, it is useful. But chmod it
755 please.
Comment 4 Mickael 2005-11-06 16:03:19 EST
ok back from holidays !

worked on all comments : please see 

http://mickael.bailly.free.fr/yakuake.spec
http://mickael.bailly.free.fr/yakuake-2.7.3-2.src.rpm

Thanks

(In reply to comment #3)
> Ah, forget my comment about the install.sh script, it is useful. But chmod it
> 755 please.

Comment 5 Aurelien Bompard 2005-11-06 18:11:39 EST
Needs work:
* Desktop file: the Categories tag should contain Application
  (wiki: PackagingGuidelines#desktop)

Minor:

* You can use "%doc AUTHORS COPYING" in the %files list, it will take care by
itself to create the directories in the buildroot, and to copy the files.
* You can use the "--delete-original" option of desktop-file-install to remove
the installed file, instead of doing it manually. The desktop-file-install call
could look like :
use desktop-file-install --vendor fedora \
    --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
    --add-category X-Fedora \
    --add-category Application \
    --delete-original \
    ${RPM_BUILD_ROOT}%{_datadir}/applnk/Utilities/yakuake.desktop

* The spec file is chmod +x.

The rest looks fine.
Comment 6 Mickael 2005-11-07 03:42:35 EST
hello!,

fixed package following comment #5.

please see 

http://mickael.bailly.free.fr/yakuake.spec
http://mickael.bailly.free.fr/yakuake-2.7.3-3.src.rpm
Comment 7 Aurelien Bompard 2005-11-07 04:06:46 EST
Last thing : add these lines to the desktop-file-install call :
  --add-category Utility \
  --add-category KDE \
  --add-category Qt \
The 1st one is because Yakuake currently appears in the "Other" section of the
menu. The other make it not appear in GNOME, where it would be useless (it uses
dcop).
Comment 9 Aurelien Bompard 2005-11-07 05:01:20 EST
Review for release 4:
* RPM name is OK
* Source yakuake-2.7.3.tar.bz2 is the same as upstream
* Builds fine in mock
* rpmlint of yakuake looks OK
* File list of yakuake looks OK
* Works fine
APPROVED
Comment 10 Ville Skyttä 2005-11-07 12:00:53 EST
Aurelien, are you sure that adding KDE/Qt categories would prevent the package  
from appearing in Gnome menus?  If that's true, I think something's abusing 
the categories. 
  
The correct way to prevent something from appearing in certain environment's 
menus or make it appear only in specified ones is to use NotShowIn and 
OnlyShowIn respectively. 
 
There's nothing wrong with adding the KDE/Qt categories though, but I think 
they'd be unused in FC currently. 
 
More info: 
http://standards.freedesktop.org/menu-spec/latest/ar01s03.html 
http://standards.freedesktop.org/menu-spec/latest/apa.html 
http://standards.freedesktop.org/menu-spec/latest/apb.html 
Comment 11 Ville Skyttä 2005-11-07 12:08:12 EST
Also, I think use of dcop doesn't make anything useless outside KDE per se.  
It might be suboptimal and there may be other reasons for not showing 
something in eg. GNOME menus, but I think the "dcop -> KDE only" 
generalization shouldn't be made, but rather considered case by case instead. 
Comment 12 Aurelien Bompard 2005-11-07 14:21:35 EST
Right, "it uses dcop" was the quickest justification I had in mind, which was
actually wrong. I just tried yakuake in GNOME, and it works fine. It appears in
the menu too, so the right way to hide it is in fact to add --only-show-in.
Well, since it works fine in GNOME, we can leave it in the menu. No change to do
to the package then.
Comment 13 Jochen Schmitt 2012-05-09 10:43:18 EDT
Package Change Request
======================
Package Name: yakuake
New Branches: EL-6
Owners: s4504kr
InitialCC:

Note You need to log in before you can comment on or make changes to this bug.